# Generated by Django 3.2.13 on 2022-04-25 13:57

from django.db import migrations


class Migration(migrations.Migration):

    dependencies = [
        ('relatorios', '0030_totaisconflitosporestadoorganizacao'),
    ]

    operations = [
        migrations.RunSQL(
            """
            DROP VIEW IF EXISTS relatorios_estadosterritoriosorganizacao;
            CREATE OR REPLACE VIEW relatorios_estadosterritoriosorganizacao AS
            SELECT terr.organizacao_id,
                   me.id          AS id,
                   lower(me.uf)   AS uf,
                   me.nome        AS nome,
                   count(terr.id) AS qtd_territorios
            FROM main_territorio terr
                     JOIN main_municipio mm ON terr.municipio_referencia_id = mm.id
                     JOIN main_estado me ON mm.estado_id = me.id
            WHERE
                terr.deleted IS NULL AND
                terr.teste is false AND
                terr.status_id = 4
            GROUP BY terr.organizacao_id, me.id, me.uf, me.nome
            ORDER BY qtd_territorios DESC, terr.organizacao_id, me.nome
            """),
    ]
